/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_RINGBUF_SKEL_H__
#define __TEST_RINGBUF_SKEL_H__

#include <stdlib.h>
#include <bpf/bpf.h>
#include <bpf/skel_internal.h>

struct test_ringbuf {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc ringbuf;
		struct bpf_map_desc bss;
	} maps;
	struct {
		struct bpf_prog_desc test_ringbuf;
	} progs;
	struct {
		int test_ringbuf_fd;
	} links;
	struct test_ringbuf__bss {
		int pid;
		char __pad0[4];
		long int value;
		long int flags;
		long int total;
		long int discarded;
		long int dropped;
		long int avail_data;
		long int ring_size;
		long int cons_pos;
		long int prod_pos;
		long int seq;
	} *bss;
};

static inline int
test_ringbuf__test_ringbuf__attach(struct test_ringbuf *skel)
{
	int prog_fd = skel->progs.test_ringbuf.prog_fd;
	int fd = bpf_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test_ringbuf_fd = fd;
	return fd;
}

static inline int
test_ringbuf__attach(struct test_ringbuf *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : test_ringbuf__test_ringbuf__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
test_ringbuf__detach(struct test_ringbuf *skel)
{
	skel_closenz(skel->links.test_ringbuf_fd);
}
static void
test_ringbuf__destroy(struct test_ringbuf *skel)
{
	if (!skel)
		return;
	test_ringbuf__detach(skel);
	skel_closenz(skel->progs.test_ringbuf.prog_fd);
	skel_closenz(skel->maps.ringbuf.map_fd);
	munmap(skel->bss, 4096);
	skel_closenz(skel->maps.bss.map_fd);
	free(skel);
}
static inline struct test_ringbuf *
test_ringbuf__open(void)
{
	struct test_ringbuf *skel;

	skel = calloc(sizeof(*skel), 1);
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	skel->bss =
		mmap(NULL, 4096, PROT_READ | PROT_WRITE,
		     MAP_SHARED | MAP_ANONYMOUS, -1, 0);
	if (skel->bss == (void *) -1)
		goto cleanup;
	memcpy(skel->bss, (void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0", 88);
	skel->maps.bss.initial_value = (__u64)(long)skel->bss;
	return skel;
cleanup:
	test_ringbuf__destroy(skel);
	return NULL;
}

static inline int
test_ringbuf__load(struct test_ringbuf *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = 3460;
	opts.data = (void *)"\
\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x02\x50\0\0\x02\x50\0\0\x04\x5e\0\0\0\0\
\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x1b\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\
\x20\0\0\0\0\x04\0\0\x01\0\0\0\x08\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\x0e\0\
\0\0\0\0\0\x05\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\
\x02\0\0\0\x26\0\0\0\x07\0\0\0\x2a\x0c\0\0\x01\0\0\0\x08\0\0\0\x37\x01\0\0\0\0\
\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x04\0\
\0\0\x3c\x0e\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\0\x45\x0e\0\0\0\0\0\0\x02\0\0\0\x01\
\0\0\0\x49\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\0\x52\x0e\0\0\0\0\0\0\x0e\0\0\0\
\x01\0\0\0\x58\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\0\x5e\x0e\0\0\0\0\0\0\x0e\0\0\
\0\x01\0\0\0\x64\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\0\x6e\x0e\0\0\0\0\0\0\x0e\0\
\0\0\x01\0\0\0\x76\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\0\x81\x0e\0\0\0\0\0\0\x0e\
\0\0\0\x01\0\0\0\x8b\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\0\x94\x0e\0\0\0\0\0\0\
\x0e\0\0\0\x01\0\0\0\x9d\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\x04\x32\x0f\0\0\x01\
\0\0\0\x04\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\x04\x3a\x0f\0\0\x0b\0\0\0\x58\0\0\0\
\x0d\0\0\0\0\0\0\0\x04\0\0\0\x0f\0\0\0\x08\0\0\0\x08\0\0\0\x10\0\0\0\x10\0\0\0\
\x08\0\0\0\x11\0\0\0\x18\0\0\0\x08\0\0\0\x12\0\0\0\x20\0\0\0\x08\0\0\0\x13\0\0\
\0\x28\0\0\0\x08\0\0\0\x14\0\0\0\x30\0\0\0\x08\0\0\0\x15\0\0\0\x38\0\0\0\x08\0\
\0\0\x16\0\0\0\x40\0\0\0\x08\0\0\0\x17\0\0\0\x48\0\0\0\x08\0\0\0\x18\0\0\0\x50\
\0\0\0\x08\0\0\x04\x3f\x0f\0\0\x01\0\0\0\x08\0\0\0\x06\0\0\0\0\0\0\0\x08\0\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x74\x79\x70\x65\0\x72\x69\x6e\x67\x62\x75\x66\0\x63\x74\x78\0\x74\
\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\x75\x66\0\x63\x68\x61\x72\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x70\x69\x64\0\x6c\x6f\x6e\x67\x20\x69\x6e\x74\0\x76\x61\
\x6c\x75\x65\0\x66\x6c\x61\x67\x73\0\x74\x6f\x74\x61\x6c\0\x64\x69\x73\x63\x61\
\x72\x64\x65\x64\0\x64\x72\x6f\x70\x70\x65\x64\0\x61\x76\x61\x69\x6c\x5f\x64\
\x61\x74\x61\0\x72\x69\x6e\x67\x5f\x73\x69\x7a\x65\0\x63\x6f\x6e\x73\x5f\x70\
\x6f\x73\0\x70\x72\x6f\x64\x5f\x70\x6f\x73\0\x73\x65\x71\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x37\x30\x2e\x35\x2e\x31\x2e\
\x65\x6c\x39\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x37\x30\x2e\x35\x2e\x31\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x72\
\x69\x6e\x67\x62\x75\x66\x2e\x63\0\x09\x69\x6e\x74\x20\x63\x75\x72\x5f\x70\x69\
\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\
\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\
\x69\x66\x20\x28\x63\x75\x72\x5f\x70\x69\x64\x20\x21\x3d\x20\x70\x69\x64\x29\0\
\x09\x73\x61\x6d\x70\x6c\x65\x20\x3d\x20\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\
\x75\x66\x5f\x72\x65\x73\x65\x72\x76\x65\x28\x26\x72\x69\x6e\x67\x62\x75\x66\
\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\x73\x61\x6d\x70\x6c\x65\x29\x2c\x20\
\x30\x29\x3b\0\x09\x69\x66\x20\x28\x21\x73\x61\x6d\x70\x6c\x65\x29\x20\x7b\0\
\x09\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\
\x61\x64\x64\x28\x26\x64\x72\x6f\x70\x70\x65\x64\x2c\x20\x31\x29\x3b\0\x09\x73\
\x61\x6d\x70\x6c\x65\x2d\x3e\x70\x69\x64\x20\x3d\x20\x70\x69\x64\x3b\0\x09\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x63\x6f\x6d\x6d\
\x28\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x63\x6f\x6d\x6d\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x63\x6f\x6d\x6d\x29\x29\x3b\0\x09\
\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x76\x61\x6c\x75\x65\x20\x3d\x20\x76\x61\x6c\
\x75\x65\x3b\0\x09\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x73\x65\x71\x20\x3d\x20\x73\
\x65\x71\x2b\x2b\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\
\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x74\x6f\x74\x61\x6c\x2c\x20\x31\x29\x3b\0\
\x09\x69\x66\x20\x28\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x73\x65\x71\x20\x26\x20\
\x31\x29\x20\x7b\0\x09\x09\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x6f\
\x75\x74\x70\x75\x74\x28\x26\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x73\x61\x6d\
\x70\x6c\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\x73\x61\x6d\x70\x6c\x65\
\x29\x2c\x20\x66\x6c\x61\x67\x73\x29\x3b\0\x09\x09\x62\x70\x66\x5f\x72\x69\x6e\
\x67\x62\x75\x66\x5f\x64\x69\x73\x63\x61\x72\x64\x28\x73\x61\x6d\x70\x6c\x65\
\x2c\x20\x66\x6c\x61\x67\x73\x29\x3b\0\x09\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\
\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x64\x69\x73\x63\x61\
\x72\x64\x65\x64\x2c\x20\x31\x29\x3b\0\x09\x09\x62\x70\x66\x5f\x72\x69\x6e\x67\
\x62\x75\x66\x5f\x73\x75\x62\x6d\x69\x74\x28\x73\x61\x6d\x70\x6c\x65\x2c\x20\
\x66\x6c\x61\x67\x73\x29\x3b\0\x09\x61\x76\x61\x69\x6c\x5f\x64\x61\x74\x61\x20\
\x3d\x20\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x71\x75\x65\x72\x79\
\x28\x26\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x42\x50\x46\x5f\x52\x42\x5f\x41\
\x56\x41\x49\x4c\x5f\x44\x41\x54\x41\x29\x3b\0\x09\x72\x69\x6e\x67\x5f\x73\x69\
\x7a\x65\x20\x3d\x20\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x71\x75\
\x65\x72\x79\x28\x26\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x42\x50\x46\x5f\x52\
\x42\x5f\x52\x49\x4e\x47\x5f\x53\x49\x5a\x45\x29\x3b\0\x09\x63\x6f\x6e\x73\x5f\
\x70\x6f\x73\x20\x3d\x20\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x71\
\x75\x65\x72\x79\x28\x26\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x42\x50\x46\x5f\
\x52\x42\x5f\x43\x4f\x4e\x53\x5f\x50\x4f\x53\x29\x3b\0\x09\x70\x72\x6f\x64\x5f\
\x70\x6f\x73\x20\x3d\x20\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x71\
\x75\x65\x72\x79\x28\x26\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x42\x50\x46\x5f\
\x52\x42\x5f\x50\x52\x4f\x44\x5f\x50\x4f\x53\x29\x3b\0\x7d\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x66\x65\x6e\x74\x72\x79\
\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xc6\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\x69\x6e\x67\x62\x75\x66\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x58\0\0\
\0\x01\0\0\x04\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x5f\x72\x69\x6e\x2e\x62\x73\
\x73\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\
\x4c\0\x85\0\0\0\0\0\0\x0e\x18\x16\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\x61\x11\0\0\0\
\0\0\0\x77\0\0\0\0\0\0\x20\x5e\x10\0\x55\0\0\0\0\x18\x15\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb7\x20\0\0\0\0\0\x20\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x83\xbf\x60\0\
\0\0\0\0\0\x55\x60\0\x05\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x18\x26\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x28\xdb\x21\0\0\0\0\0\0\x05\0\0\x49\0\0\0\0\x18\x16\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x63\x61\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\
\x07\x10\0\0\0\0\0\x10\xb4\x20\0\0\0\0\0\x10\x85\0\0\0\0\0\0\x10\x18\x16\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\x79\x11\0\0\0\0\0\0\x7b\x61\0\x08\0\0\0\0\x18\x16\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\x50\x79\x21\0\0\0\0\0\0\xbf\x32\0\0\0\0\0\0\x07\x30\
\0\0\0\0\0\x01\x7b\x13\0\0\0\0\0\0\x63\x62\0\x04\0\0\0\0\xb7\x70\0\0\0\0\0\x01\
\x18\x16\0\0\0\0\0\x01\0\0\0\0\0\0\0\x18\xb7\x20\0\0\0\0\0\x01\xdb\x12\0\0\0\0\
\0\0\x18\x86\0\0\0\0\0\x01\0\0\0\0\0\0\0\x10\x79\x48\0\0\0\0\0\0\x61\x16\0\x04\
\0\0\0\0\x54\x10\0\0\0\0\0\x01\x16\x10\0\x0c\0\0\0\0\x18\x15\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xbf\x26\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x20\x85\0\0\0\0\0\0\x82\x79\
\x28\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\0\0\0\0\0\0\x85\x18\x16\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\x20\xdb\x17\0\0\0\0\0\0\x05\0\0\x03\0\0\0\0\xbf\x16\0\0\0\0\0\0\
\xbf\x24\0\0\0\0\0\0\x85\0\0\0\0\0\0\x84\x18\x15\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\x86\x18\x16\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x30\x7b\x10\0\0\0\0\0\0\x18\x15\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\
\x01\x85\0\0\0\0\0\0\x86\x18\x16\0\0\0\0\0\x01\0\0\0\0\0\0\0\x38\x7b\x10\0\0\0\
\0\0\0\x18\x15\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x02\x85\0\0\0\0\0\
\0\x86\x18\x16\0\0\0\0\0\x01\0\0\0\0\0\0\0\x40\x7b\x10\0\0\0\0\0\0\x18\x15\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x03\x85\0\0\0\0\0\0\x86\x18\x16\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\x48\x7b\x10\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\xa1\0\0\x01\x21\0\0\xa4\x10\0\0\0\x01\0\
\0\0\xa1\0\0\x01\x52\0\0\xb4\x11\0\0\0\x04\0\0\0\xa1\0\0\x01\x21\0\0\xa4\x2b\0\
\0\0\x05\0\0\0\xa1\0\0\x01\x52\0\0\xb4\x06\0\0\0\x06\0\0\0\xa1\0\0\x01\x67\0\0\
\xc0\x0b\0\0\0\x0c\0\0\0\xa1\0\0\x01\xa4\0\0\xc4\x06\0\0\0\x0e\0\0\0\xa1\0\0\
\x01\xb4\0\0\xc8\x03\0\0\0\x12\0\0\0\xa1\0\0\x01\xd9\0\0\xd8\x10\0\0\0\x15\0\0\
\0\xa1\0\0\x01\xd9\0\0\xd8\x0e\0\0\0\x16\0\0\0\xa1\0\0\x01\xed\0\0\xdc\x1f\0\0\
\0\x18\0\0\0\xa1\0\0\x01\xed\0\0\xdc\x02\0\0\0\x1a\0\0\0\xa1\0\0\x02\x28\0\0\
\xe0\x12\0\0\0\x1d\0\0\0\xa1\0\0\x02\x28\0\0\xe0\x10\0\0\0\x1e\0\0\0\xa1\0\0\
\x02\x40\0\0\xe8\x13\0\0\0\x24\0\0\0\xa1\0\0\x02\x40\0\0\xe8\x0e\0\0\0\x26\0\0\
\0\xa1\0\0\x02\x56\0\0\xec\x02\0\0\0\x2a\0\0\0\xa1\0\0\0\0\0\0\0\0\0\0\0\x2d\0\
\0\0\xa1\0\0\x02\x78\0\0\xf4\x0e\0\0\0\x2e\0\0\0\xa1\0\0\x02\x78\0\0\xf4\x12\0\
\0\0\x2f\0\0\0\xa1\0\0\x02\x78\0\0\xf4\x06\0\0\0\x30\0\0\0\xa1\0\0\x02\x90\0\0\
\xfc\x03\0\0\0\x35\0\0\0\xa1\0\0\x02\xd0\0\x01\x04\x1f\0\0\0\x36\0\0\0\xa1\0\0\
\x02\xd0\0\x01\x04\x03\0\0\0\x38\0\0\0\xa1\0\0\x02\xf6\0\x01\x08\x03\0\0\0\x3c\
\0\0\0\xa1\0\0\x03\x1d\0\x01\x10\x03\0\0\0\x3f\0\0\0\xa1\0\0\x03\x42\0\x01\x1c\
\x0f\0\0\0\x43\0\0\0\xa1\0\0\x03\x42\0\x01\x1c\x0d\0\0\0\x46\0\0\0\xa1\0\0\x03\
\x80\0\x01\x20\x0e\0\0\0\x4a\0\0\0\xa1\0\0\x03\x80\0\x01\x20\x0c\0\0\0\x4d\0\0\
\0\xa1\0\0\x03\xbc\0\x01\x24\x0d\0\0\0\x51\0\0\0\xa1\0\0\x03\xbc\0\x01\x24\x0b\
\0\0\0\x54\0\0\0\xa1\0\0\x03\xf6\0\x01\x28\x0d\0\0\0\x58\0\0\0\xa1\0\0\x03\xf6\
\0\x01\x28\x0b\0\0\0\x5b\0\0\0\xa1\0\0\x04\x30\0\x01\x34\x01\0\0\0\x1a\0\0\0\
\x5d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x74\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\x75\x66\0\0\0\0\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\
\0\x22\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\x5f\x78\x36\x34\x5f\x73\
\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0";
	opts.insns_sz = 3720;
	opts.insns = (void *)"\
\xbf\x61\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xfe\x78\xb7\x20\0\
\0\0\0\x01\x88\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x05\0\x01\x28\0\0\0\0\
\x61\x1a\xfe\x78\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\
\x7c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x80\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x84\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x88\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x8c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xfe\x90\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xfe\x94\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x98\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x9c\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xa0\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xa4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xfe\xa8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xfe\xac\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xfe\xb0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xb4\0\0\
\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xb8\0\0\0\0\xd5\x10\
\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xbc\0\0\0\0\xd5\x10\0\x01\0\0\0\
\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xc0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\
\0\0\0\xa8\x61\x1a\xfe\xc4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\x61\x1a\xfe\xc8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\
\xcc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xd0\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xd4\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xd8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xdc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xfe\xe0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xfe\xe4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xe8\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xec\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xf0\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xf4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xfe\xf8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xfe\xfc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xff\0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x04\0\0\0\
\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x08\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x0c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x10\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xff\x14\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xff\x18\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x1c\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x20\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x24\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x28\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xff\x2c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xff\x30\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xff\x34\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x38\0\0\
\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x3c\0\0\0\0\xd5\x10\
\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x40\0\0\0\0\xd5\x10\0\x01\0\0\0\
\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x44\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\
\0\0\0\xa8\x61\x1a\xff\x48\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\x61\x1a\xff\x4c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\
\x50\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x54\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x58\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x5c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x60\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xff\x64\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xff\x68\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x6c\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x70\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x74\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x78\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xff\x7c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xff\x80\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xff\x84\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x88\0\0\
\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x8c\0\0\0\0\xd5\x10\
\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x90\0\0\0\0\xd5\x10\0\x01\0\0\0\
\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x94\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\
\0\0\0\xa8\x61\x1a\xff\x98\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\x61\x1a\xff\x9c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\
\xa0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xa4\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xa8\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xac\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xb0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xff\xb4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xff\xb8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xbc\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xc0\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xc4\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xc8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xff\xcc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xff\xd0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xff\xd4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xd8\0\0\
\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xdc\0\0\0\0\xd5\x10\
\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xe0\0\0\0\0\xd5\x10\0\x01\0\0\0\
\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xe4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\
\0\0\0\xa8\x61\x1a\xff\xe8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\x61\x1a\xff\xec\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\
\xf0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xf4\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xf8\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xfc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\xbf\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\
\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x06\xde\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\
\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x06\xda\x63\x10\0\0\0\0\0\0\x79\x06\0\
\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x06\xce\x7b\x10\0\0\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x06\xc6\x7b\
\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x12\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x06\xc6\
\xb7\x30\0\0\0\0\0\x1c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\xc0\
\0\0\0\0\x63\xa7\xfe\x78\0\0\0\0\x61\x06\0\x20\0\0\0\0\x15\0\0\x03\0\0\0\0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x06\xee\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\
\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x06\xe2\xb7\x30\0\0\0\0\0\x40\x85\0\0\0\0\0\0\
\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\xb3\0\0\0\0\x63\xa7\xfe\x7c\0\0\0\0\x61\
\x0a\xfe\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x07\x52\x63\x10\0\0\0\0\0\
\0\x61\x06\0\x30\0\0\0\0\x15\0\0\x03\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x07\x2e\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x26\0\0\0\0\0\0\0\0\0\0\0\
\0\x07\x22\xb7\x30\0\0\0\0\0\x40\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\
\x70\xfe\xa2\0\0\0\0\x63\xa7\xfe\x80\0\0\0\0\x79\x36\0\x28\0\0\0\0\x15\x30\0\
\x04\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x07\x62\xb7\x20\0\0\0\0\0\x58\x85\
\0\0\0\0\0\0\x94\x61\x0a\xfe\x80\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x07\
\xbe\x63\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x07\xba\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x07\xc6\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x07\x62\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x07\xce\x7b\x10\0\0\0\0\0\0\xb7\x10\0\
\0\0\0\0\x02\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x07\xbe\xb7\x30\0\0\0\0\0\x20\x85\
\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\x86\0\0\0\0\x18\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\x07\xde\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x02\x7b\x10\0\0\0\0\
\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x07\xe2\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x0c\xfa\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xca\x18\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\x0d\x42\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\x0a\xd2\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x52\x7b\x10\0\0\0\0\0\0\xbf\
\x0a\0\0\0\0\0\0\x07\0\0\0\xff\xff\xfe\x7c\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\
\x6a\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x0d\x0a\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\
\0\0\x0d\x0e\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\
\0\0\0\0\x0d\x12\x7b\x10\0\0\0\0\0\0\x61\x0a\xfe\x78\0\0\0\0\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x0d\x3a\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\
\x72\xb7\x20\0\0\0\0\0\x12\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\
\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\x55\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\x0c\xf2\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\x70\0\0\
\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x0c\xf2\xb7\x30\0\0\
\0\0\0\x80\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\x0d\x62\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\
\0\0\0\0\0\0\xa8\xc5\x70\xfe\x43\0\0\0\0\x63\xa7\xff\x7c\0\0\0\0\x61\x1a\xfe\
\x78\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x0a\xff\x7c\0\0\0\0\x63\x60\0\x38\0\0\0\0\x61\x0a\xfe\x7c\0\0\0\0\x63\x60\0\
\x18\0\0\0\0\x61\x0a\xfe\x80\0\0\0\0\x63\x60\0\x28\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0";
	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->bss =
		mmap(skel->bss, 4096, PROT_READ | PROT_WRITE, MAP_SHARED | MAP_FIXED,
			skel->maps.bss.map_fd, 0);
	return 0;
}

static inline struct test_ringbuf *
test_ringbuf__open_and_load(void)
{
	struct test_ringbuf *skel;

	skel = test_ringbuf__open();
	if (!skel)
		return NULL;
	if (test_ringbuf__load(skel)) {
		test_ringbuf__destroy(skel);
		return NULL;
	}
	return skel;
}

#endif /* __TEST_RINGBUF_SKEL_H__ */
