/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_SOCKMAP_UPDATE_SKEL_H__
#define __TEST_SOCKMAP_UPDATE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_sockmap_update {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *src;
		struct bpf_map *dst_sock_map;
		struct bpf_map *dst_sock_hash;
	} maps;
	struct {
		struct bpf_program *copy_sock_map;
	} progs;
	struct {
		struct bpf_link *copy_sock_map;
	} links;
};

static void
test_sockmap_update__destroy(struct test_sockmap_update *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_sockmap_update__create_skeleton(struct test_sockmap_update *obj);

static inline struct test_sockmap_update *
test_sockmap_update__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_sockmap_update *obj;
	int err;

	obj = (struct test_sockmap_update *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_sockmap_update__create_skeleton(obj);
	err = err ?: bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_sockmap_update__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_sockmap_update *
test_sockmap_update__open(void)
{
	return test_sockmap_update__open_opts(NULL);
}

static inline int
test_sockmap_update__load(struct test_sockmap_update *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_sockmap_update *
test_sockmap_update__open_and_load(void)
{
	struct test_sockmap_update *obj;
	int err;

	obj = test_sockmap_update__open();
	if (!obj)
		return NULL;
	err = test_sockmap_update__load(obj);
	if (err) {
		test_sockmap_update__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_sockmap_update__attach(struct test_sockmap_update *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_sockmap_update__detach(struct test_sockmap_update *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_sockmap_update__create_skeleton(struct test_sockmap_update *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		goto err;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_sockmap_update";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "src";
	s->maps[0].map = &obj->maps.src;

	s->maps[1].name = "dst_sock_map";
	s->maps[1].map = &obj->maps.dst_sock_map;

	s->maps[2].name = "dst_sock_hash";
	s->maps[2].map = &obj->maps.dst_sock_hash;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "copy_sock_map";
	s->progs[0].prog = &obj->progs.copy_sock_map;
	s->progs[0].link = &obj->links.copy_sock_map;

	s->data_sz = 2864;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\xf0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x6c\x61\
\x73\x73\x69\x66\x69\x65\x72\x2f\x63\x6f\x70\x79\x5f\x73\x6f\x63\x6b\x5f\x6d\
\x61\x70\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\
\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x2e\x63\0\x4c\x42\
\x42\x30\x5f\x33\0\x63\x6f\x70\x79\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x73\
\x72\x63\0\x64\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x64\x73\x74\x5f\
\x73\x6f\x63\x6b\x5f\x68\x61\x73\x68\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x63\x6c\x61\x73\x73\x69\x66\x69\x65\x72\x2f\x63\x6f\x70\x79\x5f\
\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x04\0\
\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\x03\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\x55\
\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x08\0\0\0\x63\x11\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x67\x11\0\0\x04\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\
\0\x20\0\0\0\x74\x11\0\0\x04\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x20\0\0\0\x82\x11\
\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xb4\x70\0\0\0\0\0\0\x63\xa7\xff\xfc\
\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\x15\x60\0\x16\0\0\0\0\
\xbf\x7a\0\0\0\0\0\0\x07\x70\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xbf\x27\0\0\0\0\0\0\xbf\x36\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\x02\xbf\x80\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x27\0\0\0\
\0\0\0\xbf\x36\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x02\xbf\x90\0\0\
\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\0\0\0\0\0\0\x56\x4f\x98\0\0\0\0\0\0\xb4\x70\0\
\0\0\0\0\x01\x15\x90\0\x01\0\0\0\0\xb4\x70\0\0\0\0\0\0\xbc\x07\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\
\0\0\0\0\x20\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\x58\0\0\0\x06\0\0\0\x01\0\0\0\0\
\0\0\0\x90\0\0\0\x07\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x02\x30\0\0\
\x02\x30\0\0\x02\x33\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\
\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x0f\0\0\0\x05\
\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\x19\x08\
\0\0\0\0\0\0\x09\0\0\0\x1f\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\
\0\x0b\0\0\0\x2c\x08\0\0\0\0\0\0\x0c\0\0\0\x32\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\
\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x49\0\0\0\x01\0\0\0\0\0\0\0\x4e\0\0\0\x05\0\
\0\0\x40\0\0\0\x5a\0\0\0\x07\0\0\0\x80\0\0\0\x5e\0\0\0\x0a\0\0\0\xc0\0\0\0\x64\
\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\x68\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\
\x02\0\0\0\0\0\0\x11\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x12\0\
\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x49\0\0\0\x10\0\0\0\0\0\0\0\x4e\0\0\0\x05\0\
\0\0\x40\0\0\0\x5a\0\0\0\x07\0\0\0\x80\0\0\0\x5e\0\0\0\x0a\0\0\0\xc0\0\0\0\x75\
\x0e\0\0\0\0\0\0\x12\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\
\0\0\x02\0\0\0\x83\0\0\0\x14\0\0\0\x87\x0c\0\0\x01\0\0\0\x15\0\0\0\x95\x01\0\0\
\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x04\0\0\0\
\x04\0\0\0\x9a\x0e\0\0\0\0\0\0\x18\0\0\0\x01\0\0\x02\x0c\x0f\0\0\x03\0\0\0\x60\
\0\0\0\x0e\0\0\0\0\0\0\0\x20\0\0\0\x0f\0\0\0\x20\0\0\0\x20\0\0\0\x13\0\0\0\x40\
\0\0\0\x20\0\0\x02\x12\x0f\0\0\x01\0\0\0\x04\0\0\0\x19\0\0\0\0\0\0\0\x04\0\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\
\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x73\x72\x63\
\0\x64\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x64\x73\x74\x5f\x73\x6f\
\x63\x6b\x5f\x68\x61\x73\x68\0\x63\x74\x78\0\x63\x6f\x70\x79\x5f\x73\x6f\x63\
\x6b\x5f\x6d\x61\x70\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x37\x30\x2e\
\x35\x2e\x31\x2e\x65\x6c\x39\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x37\x30\x2e\x35\x2e\x31\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\
\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\
\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x2e\x63\0\
\x69\x6e\x74\x20\x63\x6f\x70\x79\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x28\x76\
\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x6b\x65\x79\
\x20\x3d\x20\x30\x3b\0\x09\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\
\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x73\x72\x63\x2c\x20\x26\
\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x73\x6b\x29\0\x09\x69\x66\x20\
\x28\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\
\x6d\x28\x26\x64\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x2c\x20\x26\x6b\
\x65\x79\x2c\x20\x73\x6b\x2c\x20\x30\x29\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x64\
\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x68\x61\x73\x68\x2c\x20\x26\x6b\x65\x79\x2c\
\x20\x73\x6b\x2c\x20\x30\x29\x29\0\x09\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\x6c\
\x65\x61\x73\x65\x28\x73\x6b\x29\x3b\0\x7d\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x63\x6c\x61\x73\x73\x69\x66\x69\x65\x72\x2f\x63\x6f\x70\x79\
\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\
\0\0\0\0\x14\0\0\0\x14\0\0\0\xcc\0\0\0\xe0\0\0\0\0\0\0\0\x08\0\0\x02\x1a\0\0\0\
\x01\0\0\0\0\0\0\0\x16\0\0\0\x10\0\0\x02\x1a\0\0\0\x0c\0\0\0\0\0\0\0\xa3\0\0\
\x01\x2a\0\0\x70\0\0\0\0\x08\0\0\0\xa3\0\0\x01\x47\0\0\x80\x08\0\0\0\x18\0\0\0\
\xa3\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xa3\0\0\x01\x57\0\0\x88\x07\0\0\0\x40\0\0\
\0\xa3\0\0\x01\x7e\0\0\x8c\x06\0\0\0\x50\0\0\0\xa3\0\0\0\0\0\0\0\0\0\0\0\x58\0\
\0\0\xa3\0\0\x01\x88\0\0\x98\x06\0\0\0\x90\0\0\0\xa3\0\0\x01\xbe\0\0\xa4\x06\0\
\0\0\xc8\0\0\0\xa3\0\0\x01\xf5\0\0\xb0\x02\0\0\0\xd8\0\0\0\xa3\0\0\x01\xbe\0\0\
\xa4\x06\0\0\0\xe8\0\0\0\xa3\0\0\x01\xbe\0\0\xa4\x06\0\0\0\xf8\0\0\0\xa3\0\0\
\x02\x0a\0\0\xb8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\xb6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\xd8\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xd0\0\0\0\0\0\0\x01\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x02\xd8\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\x38\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\x8b\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x40\
\0\0\0\0\0\0\0\x30\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\0\xa8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x70\0\0\0\0\0\
\0\x04\x7b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xf0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -ENOMEM;
}

#endif /* __TEST_SOCKMAP_UPDATE_SKEL_H__ */
